You are here

Zope unter Fedora 9

Error message

  • Deprecated function: Function create_function() is deprecated in _geshifilter_prepare() (line 126 of /is/htdocs/wp1022769_0UTS5D8WKG/www/siarp.de/sites/siarp.de/modules/geshifilter/geshifilter.pages.inc).
  • Deprecated function: Function create_function() is deprecated in _geshifilter_prepare() (line 131 of /is/htdocs/wp1022769_0UTS5D8WKG/www/siarp.de/sites/siarp.de/modules/geshifilter/geshifilter.pages.inc).
  • Deprecated function: Methods with the same name as their class will not be constructors in a future version of PHP; GeSHi has a deprecated constructor in require_once() (line 837 of /is/htdocs/wp1022769_0UTS5D8WKG/www/siarp.de/sites/all/modules/libraries/libraries.module).
  • Deprecated function: Function create_function() is deprecated in _geshifilter_process() (line 231 of /is/htdocs/wp1022769_0UTS5D8WKG/www/siarp.de/sites/siarp.de/modules/geshifilter/geshifilter.pages.inc).
  • Deprecated function: The each() function is deprecated. This message will be suppressed on further calls in menu_set_active_trail() (line 2405 of /is/htdocs/wp1022769_0UTS5D8WKG/www/siarp.de/includes/menu.inc).

Fedora 9 bringt nur Python 2.5, Zope benötigt z.Z. aber Python 2.4. Das Repository http://rpm.livna.org/ bietet alle nötigen Pakete.

Installation:

su -c 'rpm -ivh <a href="http://rpm.livna.org/livna-release-9.rpm'
sudo" rel="nofollow">http://rpm.livna.org/livna-release-9.rpm'
sudo</a> yum install compat-python24 compat-python24-devel compat-python24-elementtree compat-python24-imaging